/*
 * C
 *
 * Copyright 2020-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

// -----------------------------------------------------------------------------
// Includes
// -----------------------------------------------------------------------------

#include "display_framebuffer.h"
#include "fsl_dc_fb.h"

// -----------------------------------------------------------------------------
// Static Variables
// -----------------------------------------------------------------------------

_Pragma( "location = \"framebuffer0\"") static framebuffer_t s_frameBuffer0;
#define FRAME_BUFFER0_ADDR &s_frameBuffer0

#if FRAME_BUFFER_COUNT > 1
_Pragma( "location = \"framebuffer1\"") static framebuffer_t s_frameBuffer1;
#define FRAME_BUFFER1_ADDR &s_frameBuffer1
#endif

#if FRAME_BUFFER_COUNT > 2
_Pragma( "location = \"framebuffer2\"") static framebuffer_t s_frameBuffer2;
#define FRAME_BUFFER2_ADDR &s_frameBuffer2
#endif

const framebuffer_t * s_frameBufferAddress[FRAME_BUFFER_COUNT] = {
		FRAME_BUFFER0_ADDR,
#if FRAME_BUFFER_COUNT > 1
		FRAME_BUFFER1_ADDR,
#endif
#if FRAME_BUFFER_COUNT > 2
		FRAME_BUFFER2_ADDR
#endif
	};

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

