/*
 * Java
 *
 * Copyright 2018-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.mock;

import java.util.concurrent.Executors;

import com.is2t.hil.StartListener;

import javafx.application.Application;

/**
 * Instantiated by the HIL engine that calls the {@link #start()} method during startup.
 */
public class MockupLauncher implements StartListener {

	/**
	 * Launches the UI application.
	 * <p>
	 * Called by the HIL Engine.
	 */
	@Override
	public void start() {
		Executors.newSingleThreadExecutor().execute(new Runnable() {
			@Override
			public void run() {
				Application.launch(MockupApplication.class);
			}
		});
	}
}
