/*
 * Java
 *
 * Copyright 2019-2021 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.demo.watch.watchface.simple;

import com.microej.demo.watch.util.path.watchface.Hand;
import com.microej.demo.watch.util.widget.watchface.VectorWatchface;
import com.microej.demo.watch.watchface.simple.path.SimpleHourHand;
import com.microej.demo.watch.watchface.simple.path.SimpleMinuteHand;
import com.microej.demo.watch.watchface.simple.path.SimpleSecondHand;

/**
 * The "Simple" watchface shows a minimalist example of watchface.
 */
public class SimpleWatchface extends VectorWatchface {

	@Override
	protected Hand createHourHand() {
		return new SimpleHourHand();
	}

	@Override
	protected Hand createMinuteHand() {
		return new SimpleMinuteHand();
	}

	@Override
	protected Hand createSecondHand() {
		return new SimpleSecondHand();
	}
}
