/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.cssgenerator.selector;

import java.io.StringWriter;

import org.w3c.css.sac.Condition;

import com.steadystate.css.parser.selectors.ElementSelectorImpl;

/**
 *
 */
public class UniversalSelector implements Selector {

	private String universalSelectorVar;

	@Override
	public String generate(org.w3c.css.sac.Selector s, StringWriter writer) {
		if (this.universalSelectorVar == null) {
			this.universalSelectorVar = "universal";
			writer.append(this.getClassName()).append(" ").append(this.universalSelectorVar).append(" = new ")
					.append(this.getClassName()).append("();\n");
		}
		return this.universalSelectorVar;
	}

	@Override
	public String generate(Condition c, StringWriter writer) throws IllegalArgumentException {
		throw new RuntimeException();
	}

	@Override
	public boolean matches(Condition condition) {
		return false;
	}

	@Override
	public String getClassName() {
		return "ej.style.selector.UniversalSelector";
	}

	@Override
	public boolean matches(org.w3c.css.sac.Selector selector) {
		if (!(selector instanceof ElementSelectorImpl)) {
			return false;
		}

		ElementSelectorImpl s = (ElementSelectorImpl) selector;
		return s.getLocalName() == null;
	}

}
