/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.jsgenerator.global;

import java.util.List;

import com.is2t.giml.jsgenerator.JavaScriptSourceToMicroEJSourceGenerator;
import com.is2t.giml.jsgenerator.UnsupportedJavaScriptSyntax;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.Statement;
import com.is2t.java.nodes.expressions.MessageSend;

import jdk.nashorn.internal.ir.CallNode;

/**
 * <code>giml</code> global object
 */
public class GlobalObjectConsole implements GlobalObject {

	@Override
	public String getGlobalName() {
		return "console";
	}

	@Override
	public Statement generateInitialization(JavaScriptSourceToMicroEJSourceGenerator gen) {
		return gen.generateEmptyBlockStatement();
	}

	@Override
	public Expression generateCallExpression(JavaScriptSourceToMicroEJSourceGenerator gen, CallNode call,
			String functionName) {
		// console.log('myIdentifier')
		if (functionName.equals("log")) {
			List<jdk.nashorn.internal.ir.Expression> args = call.getArgs();
			if (args.size() != 1) {
				throw new UnsupportedJavaScriptSyntax(call);
			}
			args.get(0).accept(gen);
			Expression javaArg = gen.popExpression();
			MessageSend ms = new MessageSend(gen.javaName("println"), gen.javaFullyQualifiedName("System.out"), null,
					new Expression[] { javaArg });
			return ms;
		}
		else {
			throw new UnsupportedJavaScriptSyntax(call);
		}
	}

}
