/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.xml.parser.exception;

/**
 * An instance of {@code XMLParserMisplacedElementException} is thrown to indicate that an XML element is misplaced in
 * the document.
 */
public class XMLParserMisplacedElementException extends XMLParserException {

	private static final long serialVersionUID = -6931215378258365034L;

	/**
	 * Constructs a new misplaced element exception for the given element in the given parent element..
	 *
	 * @param tagName
	 *            the misplaced element name.
	 * @param parentTagName
	 *            the parent of the misplaced element.
	 */
	public XMLParserMisplacedElementException(String tagName, String parentTagName) {
		super(String.format("Element '%s' cannot be a child of element '%s'", tagName, parentTagName));
	}

}
