/**
 * Java
 *
 * Copyright 2011 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.icetea.nodes;

import com.is2t.icetea.IceteaSourceGenerator;
import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

/**
 * Since IceTea 1.0
 * Get a link-time constant which is the resolved value of the symbol given as argument (compute constant string literal)
 * Example:
 * int fontStartAddress = extern("myFont");
 */
public class ExternSymbol extends Expression{

	public char[] symbol;
	public boolean property;
	
	public ExternSymbol(char[] symbol, boolean property) {
		this.symbol = symbol;
		this.property = property;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		((IceteaSourceGenerator)gen).generateExternSymbol(this);
	}


}
