/*
 * Java
 *
 * Copyright 2019-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

/**
 *
 */
public class vg_lite_matrix implements AutoCloseable {
	public int handle;
	public boolean fromHandle;

	public vg_lite_matrix() {
		this.fromHandle = false;
		this.handle = Nvg_lite_matrix.create();

		if (this.handle == 0) {
			throw new RuntimeException();
		}
	}

	public vg_lite_matrix(int handle) {
		this.fromHandle = true;
		this.handle = handle;

		if (this.handle == 0) {
			throw new RuntimeException();
		}
	}

	@Override
	public void close() throws Exception {
		if (this.fromHandle == true) {
			throw new Exception("Matrix created from existing handle must not be closed");
		}

		Nvg_lite_matrix.destroy(this.handle);
	}

	public int getHandle() {
		return this.handle;
	}

	/**
	 * See <code>vg_lite_identity</code> C function.
	 */
	public static void vg_lite_identity(vg_lite_matrix matrix) {
		int ret = Nvg_lite_matrix.identity(matrix.handle);

		if (0 != ret) {
			throw new vg_lite_error(ret);
		}
	}

	/**
	 * See <code>vg_lite_translate</code> C function.
	 */
	public static void vg_lite_translate(float x, float y, vg_lite_matrix matrix) {
		int ret = Nvg_lite_matrix.translate(matrix.handle, x, y);

		if (0 != ret) {
			throw new vg_lite_error(ret);
		}
	}

	/**
	 * See <code>vg_lite_scale</code> C function.
	 */
	public static void vg_lite_scale(float scale_x, float scale_y, vg_lite_matrix matrix) {
		int ret = Nvg_lite_matrix.scale(matrix.handle, scale_x, scale_y);

		if (0 != ret) {
			throw new vg_lite_error(ret);
		}
	}

	/**
	 * See <code>vg_lite_rotate</code> C function.
	 */
	public static void vg_lite_rotate(float degrees, vg_lite_matrix matrix) {
		int ret = Nvg_lite_matrix.rotate(matrix.handle, degrees);

		if (0 != ret) {
			throw new vg_lite_error(ret);
		}
	}

	/**
	 * See <code>vg_lite_perspective</code> C function.
	 */
	public static void vg_lite_perspective(float px, float py, vg_lite_matrix matrix) {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_copy</code> C function.
	 */
	public static void vg_lite_copy(vg_lite_matrix srcMatrix, vg_lite_matrix destMatrix) {
		int ret = Nvg_lite_matrix.copy(srcMatrix.handle, destMatrix.handle);

		if (0 != ret) {
			throw new vg_lite_error(ret);
		}
	}

}
