/*
 * Java
 *
 * Copyright 2020-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.vector.font;

import com.is2t.hil.HIL;
import com.is2t.hil.NativeInterface;

/**
 * Utility methods to deal with natives.
 */
public class NativeUtils {

	public static boolean refreshContent(int[] array) {
		NativeInterface hil = HIL.getInstance();
		boolean isImmortal = hil.isImmortal(array);
		if (isImmortal) {
			hil.refreshImmortalContent(array);
		} else {
			hil.refreshContent(array);
		}
		return isImmortal;
	}

	public static boolean refreshContent(Object array, int offset, int length) {
		NativeInterface hil = HIL.getInstance();
		boolean isImmortal = hil.isImmortal(array);
		if (isImmortal) {
			hil.refreshImmortalContent(array, offset, length);
		} else {
			hil.refreshContent(array, offset, length);
		}
		return isImmortal;
	}

}
